# ServiceAreaTrait.SelectAreasCommand.Response

# ServiceAreaTrait.SelectAreasCommand.Response


```
class ServiceAreaTrait.SelectAreasCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

The result of the completed `SelectAreas` command.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response#Response(com.google.home.matter.standard.ServiceAreaTrait.SelectAreasStatus,kotlin.String)(status: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasStatus, statusText: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` Creates a response payload from the SelectAreas command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasStatus` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response#status()` The status of the `SelectAreas` command. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ServiceAreaTrait.SelectAreasCommand.Response#statusText()` Text describing the status of the `SelectAreas` command. |

## Public constructors

### Response

```
Response(
    status: ServiceAreaTrait.SelectAreasStatus = SelectAreasStatus.Success,
    statusText: String = ""
)
```

Creates a response payload from the SelectAreas command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### status

```
val status: ServiceAreaTrait.SelectAreasStatus
```

The status of the `SelectAreas` command. If the Status field is set to `Success` or `UnsupportedArea`, the server can use a non-empty string for the `StatusText` field to provide additional information. For example, if Status is set to `UnsupportedArea`, the server can use `StatusText` to indicate which areas are unsupported. If the Status field is not set to `Success` or `UnsupportedArea`, the `StatusText` field can include a vendor-defined error description which can be used to explain the error to the user.

### statusText

```
val statusText: String
```

Text describing the status of the `SelectAreas` command.